# Initialization

## Basic Examples

{% tabs %}
{% tab title="EVM" %}

```jsx
import { 
  init, 
  AUTH_PROVIDER, 
  CHAIN, 
  THEME, 
  WALLET_PROVIDER, 
  SUPPORTED_ETHEREUM_NETWORKS 
} from '@ramper/ethereum'

init({
  appId: '<YOUR_APP_ID>',
  appName: 'EVM Test App',
  authProviders: [
    AUTH_PROVIDER.GOOGLE,
    AUTH_PROVIDER.FACEBOOK,
    AUTH_PROVIDER.TWITTER,
    AUTH_PROVIDER.APPLE,
    AUTH_PROVIDER.EMAIL
  ],
  walletProviders: [WALLET_PROVIDER.METAMASK],
  network: SUPPORTED_ETHEREUM_NETWORKS.MATICMUM,
  theme: THEME.DARK,
})
```

{% endtab %}

{% tab title="NEAR" %}

```jsx
import { 
  init, 
  AUTH_PROVIDER, 
  CHAIN, 
  THEME, 
  WALLET_PROVIDER,
  SUPPORTED_NEAR_NETWORKS 
} from '@ramper/near'

init({
  appName: 'Near Test App',
  authProviders: [
    AUTH_PROVIDER.GOOGLE,
    AUTH_PROVIDER.FACEBOOK,
    AUTH_PROVIDER.TWITTER,
    AUTH_PROVIDER.APPLE,
    AUTH_PROVIDER.EMAIL
  ]
  walletProviders: [WALLET_PROVIDER.NEAR_WALLET],
  network: SUPPORTED_NEAR_NETWORKS.TESTNET,
  theme: THEME.DARK,
})
```

{% endtab %}

{% tab title="Terra" %}

```jsx
import { init, AUTH_PROVIDER, CHAIN, 
  THEME, WALLET_PROVIDER } from '@ramper/terra'

init({
  appName: 'Terra Test App',
  chainName: CHAIN.TERRA,
  walletProviders: [WALLET_PROVIDER.TERRA_STATION, 
    WALLET_PROVIDER.WALLET_CONNECT],
  theme: THEME.LIGHT,
  network: 'mainnet',
  authProviders: [
    AUTH_PROVIDER.GOOGLE,
    AUTH_PROVIDER.FACEBOOK,
    AUTH_PROVIDER.TWITTER,
    AUTH_PROVIDER.APPLE,
    AUTH_PROVIDER.EMAIL
  ]
})
```

{% endtab %}
{% endtabs %}

## Basic Configuration

```jsx
   * App Name
   * @default ''
   */
  appName: string

  /**
   * Network to use for the app.
   * @default 'mainnet'
   */
  network: string

  /**
   * Token addresses to show default tokens on WalletView.
   * @default []
   */
  defaultTokenAddresses: string[]
  
  /**
   * App ID for viewing user data on developer dashboard.
   * @default 'missing_app_id'
   */
  appId: string

  /**
   * Whether the app should issue an dapp based idToken on login in.
   * Setting to false improves log in performance.
   * Setting to true requires a valid appId to be set.
   * @default false
   */
  issueIdToken: boolean

  /**
   * List of wallet tabs to show on WalletView.
   * @default "['coin', 'nft']"
   */
  walletTabs: WalletTab[]
```

## Auth methods displayed

```jsx
  /**
   * List of social sign in methods to use for sign in.
   * @default "['google', 'facebook', 'twitter', 'email']"
   */
  authProviders: AuthProviders
```

## Appearance

```jsx
  /**
   * Theme to use for the UI.
   * @default 'dark'
   */
  theme: Theme

  /**
   * Primary color to use for the UI.
   * @default '#00B5D8'
   */
  primaryColor: string

  /**
   * Logo to display on top of sign in popup.
   * @default 'https://static.ramper.xyz/logo.png'
   */
  logoURI: string

  /**
   * Language to use for the UI.
   * @default 'en'
   */
  language: Language

  /**
   * Currency to display in the UI.
   * @default 'usd'
   */
  currency: Currency
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ramper.xyz/embedded-wallet-sdk/quickstart/for-web-apps/version-1/sdk-specifications/initialization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
